IMovie.app is not supported on this architecture - can't re-install

I'm trying to start up iMove 09 which I've been using since I bought it. I get an error that says.
You cannot open the application "iMovie.app" because it is not supported on this architecture.
I tried to re-install it from the disks and it gets to the page where I can customize the install, but nothing is checked and it won't let me check anything.
Need some help here please.
Thanks

It sounds like a problem with your graphics card. Do you have a dual display set up or any external graphics cards set up?
If not, here is an old trick, but it might work...
Open System Preferences/Displays
Change the resolution to some other resolution.
Change colors from millions to something else (thousands?)
Apply your changes.
Now go back and change your display settings to the original settings that you prefer (and change colors back to millions).
Sometimes that will reset the graphics card.

Similar Messages

  • What do i do if i receive this message while trying to instal skype, etc 'You can't open the application "Skype.app" because it is not supported on this architecture.

    what do i do if i receive this message while trying to instal skype, etc
    You can't open the application "Skype.app" because it is not supported on this architecture. This also occur while trying to instal some other....

    Hello,
    This would indicate your trying to install a version for the Mac which require the Intel processor. (MacBook)
    You need to install Skype for PPC Mac

  • Tried to install software for canon pro 100 getting  message "you can't open the application "setup.app" because it is not supported on this architecture"

    tried to install software for canon pro 100 getting  message "you can't open the application "setup.app" because it is not supported on this architecture"
    any suggestions?

    This is what Canon suggested,  still doesn't work.
    Thank you for your E-mail inquiry regarding your PIXMA PRO-100.
    Based on the information provided in your email, I recommend you download and install the driver for your PIXMA PRO-100 from the web site listed below.
    http://www.usa.canon.com/cusa/support/professional/professional_printers/destop_ printers/pixma_pro_100#DriversAndSoftware
    You will be required to download and install the following:
    1. PRO-100 series Mini Master Setup (OS X 10.5/10.6/10.7/10.8) (under Drivers)
    Should you require further assistance, please feel free to email us or visit our customer support website at http://www.canon.ca
    still receiving Alert This software is not supported by your computer (powerPC-based Macintosh)
    Also received error You can't open the application "Setup.app" because it is not supported on this architecture.
    thanks for your reply A Brody.

  • Can't open the application "Firefox.app" because it is not supported by this architecture. I'm using mac os 10.5.8

    Been using Firefox (many years) version 3.16.. Received invitation to download Firefox version 4 for Mac this morning and did so (regretably losing 3.16 version) because now the new version 4 won't open. I just keep getting the error message "You can't open the application "Firefox.app" because it is not supported by this architecture." I'm using the latest Mac OS 10.5.8. The processor is 1.8 GHz Power PC G5.
    I trashed the first download and downloaded a 2nd Firefox version 4 and had the same results.

    Firefox 4 requires at least OS X 10.5 and an Intel Mac. There is a third party version of Firefox 4 that runs on OS X 10.4/10.5 and PPC Macs, for details see http://www.floodgap.com/software/tenfourfox
    If you prefer, you can get the latest version of Firefox 3.6 from http://www.mozilla.com/en-US/firefox/all-older.html
    Mozilla are working to prevent Mac users with non-compatible systems from getting the notification about Firefox 4, and also not displaying the "Download Firefox 4" button on http://www.mozilla.com

  • On PowerBook G4 OS 10.5.8 my chess App tells me "You can't open the app 'chess' because it is not supported on this architecture. It has worked before. What does that means? What can I do to get it working?

    On PowerBook G4 OS 10.5.8 my chess App tells me "You can't open the app 'chess' because it is not supported on this architecture. It has worked before. What does that means? What can I do to get it working?

    It sounds like you might have accidently copied Chess over from an Intel Mac, or an Intel Mac's installer DVD.  The architecture typically means it is designed uniquely for either Intel or PowerPC.  Be sure to extract Chess from the 10.5 Retail installer disc that looks like * and not any other disk.  http://www.charlessoft.com/ 's Pacifist lets you extract individual applications from installers without having to reinstall everything.

  • You cannot open the application app store because it is not supported on this architecture

    My Apple store app will not open, and it gives me this error. What can I do?
    "you cannot open the application app store because it is not supported on this architecture"

    The Mac App Store application is damaged. Open  > About this Mac, and check which Mac OS X version you have.
    If you have got 10.7 or newer, hold Command and R keys while your Mac is starting and reinstall OS X. Another option is to download the OS X installer from the Mac App Store and use Pacifist to install Mac App Store.
    If you have got 10.6, first try reinstalling OS X 10.6.8 > http://support.apple.com/kb/DL1399?viewlocale=en_US&locale=en_US If it doesn't work, insert the Snow Leopard DVD, hold the C key while your Mac is starting up and reinstall Mac OS X. Then, use the link above to download Mac OS X 10.6.8 from the Apple site

  • Mac G4 w/OS 10.5.8, New download won't open-not supported on this architecture, worked perfectly w/3.6 & down load said it will support Mac OS 10.5, what do I do to not lose all my bookmarks, etc?

    I had 3.6 & the website said new Firefox, need OSX 10.5 or above. Now the icon in the dock has a white circle w/slash like do not enter & when I click on it, a box opens that says,"You cannot open the app Firefox because it is not supported on this architecture."
    How can I get my Firefox back without losing all my info on my previous version?

    The latest version for PPC users is 3.6.25 available at http://www.mozilla.com/en-US/firefox/all-older.html

  • Application Not Supported on This Architecture

    Hey,
    I'm having problems opening applications I have downloaded. Whenever I open applications such as "Firefox" and "Minecraft", and others, an error message shows up with the following: "You cannot open the application "App Name" because it is not supported on this architecture."
    This has started ever since I updated my iBook G4 1.2 GHz PowerPC G4 10.4.11 to 10.5.8. These applications worked fine before the update. I would think more applications would work, after the upgrade... Any help?

    If the applications you were running under 10.4.11 were running in the classic environment, you lost that when upgrading to 10.5 Leopard.  Otherwise, the latest Firefox version for the PowerPC is version 3.6 and is located here.

  • Logic Pro "not supported on this architecture"!!!

    Hello All,
    I have been using Logic for a couple of years and in the last few months I upgraded from Logic Pro 7 to Logic Studio. It worked fine but.... I have just switched to a new iMac and installed the upgrade (with dongle from Pro 7) but after hours of installation Logic won't run reporting that it I can't open the application because it 'is not supported on this architecture'. Strangely Mainstage and Soundtrack Pro seem quite happy to open. Is this just a case of re-registering (in which case how do i unregister my old mac?) or is something else amiss.
    Any help would be much appreciated. I am desperate to get up and running again.
    Many Thanks
    Nick

    Do you know what you did to cause the problem?
    I ask because my parents had a similar problem with both Mail and Address Book. I don't know what caused it, but I eventually had to reinstall those two apps with Pacifist.
    My mother said she was deleting things that she thought she didn't need. My father thinks there was a short between the keyboard and chair. I tend to side with my father on this one.
    bd

  • Cant open application because it is not supported on this architecture??

    the graphics processor on my computer broke so i had to pull files off using the firewire system to connect two computers and when i went to open the address book this appeared "cant open application address book because it is not supported on this architecture". is there any way around this?? thank you.

    You copied the Address Book application (which is not where your addresses are stored) from an older system to a newer one, or vice versa.  So now it won't run.  You'll need to reinstall the system on that machine, or restore Address Book and any other apps you replaced from a backup.

  • Applications not supported on this architecture

    Hi, I know this topic has been posted before but it is now archived and I have a related question. I have the same problem in that I've installed a new harddrive (following death of the last one... about 14 months after the Macbook was bought new, thanks Apple) and then restored it from Time Machine. Now apps like Preview have a no-access symbol across them and cannot be opened because "not supported on this architecture". I would prefer not to do an archive and install as I've already spent hours installing etc. is there another fix? Thanks

    SneakySneaky wrote:
    I have manually dragged them over to my apps folder from my external hard drive which houses my previous operating system.
    That may be the issue, that these apps may need to be installed to run on your Mac because of supporting files. I'd suggest trying an install from your install disk and custom installing just applications. This support topic is written for 10.4 but is the same for 10.5 with some new additions. Choose the custom reinstallation options and turn the disclosure triangle under applications to find all those you apps you can custom install. Of course you could just choose all as I don't think some of those apps have a custom install.
    This will only reinstall applications and will leave the rest of your system untouched.
    -mj

  • Various Applications Not Supported On This Architecture?

    I had the internal hard drive in my MacBook crash, so I replaced it and restored from a Time Machine image. Because I was backing up to a rather small drive, I did not back up my applications. Because of this, I had to reinstall most of my programs from the original installation disks that came with my MacBook and the leopard installation disk as well.
    Most programs installed fine, however, many programs will not open, instead giving the "this program not supported on this architecture" error message.
    The effected programs include automator, calculator, dictionary, expose, font book, image capture, isync, and system preferences.
    I'm not sure if the "architecture" the error message is referring to is chip architecture, as in Intel vs. PowerPC. If it is, the error is incorrect, as both the installation disk and the macbook are intel.

    I think it is telling you that the building in which you are is not Leopard compatible.
    Seriously, the apps you are listing are integral parts of the OS, so they must be 100% compatible with the current OS installed including any updates.
    The chances are that you have installed an update from Apple before the crash and now you are trying to add the apps from the original DVD.
    For example, your DVD is 10.5.0, in the meantime you updated to 10.5.2 - backed it up and restored after the crash. The apps you trying to copy from the DVD are 10.5.0 and will not work on 10.5.2.

  • Soundbooth "not supported on this architecture" ?

    I have 2 Macs, a Mac Pro 2.5Ghz Quad, and a brand new MacBook Pro 2.5Ghz 17".
    Clean installation of Adobe CS3 Master Collection on both machines results in two failures, both Prem Pro and Soundbooth. The installer reports failure to install the two apps with "Component install failed."
    The application icons have a "no entry"-style icon on them. If you try to run either app, the error message reads "This application is not supported on this architecture". Updates for them seem to install fine.
    Obviously, these are both Intel machines. They are both running Leopard 10.5.2. and all current updates are installed. Encore DVD, another Intel-based app seems to be working fine.
    Any suggestions?
    (I've posted this message on the Premiere Pro forum as well.)

    Hi Andrew,
    It definitely sounds as if the installation did not complete for Premiere and Soundbooth. My first recommendation would be to run the installer again, and let it reinstall PPro and Soundbooth. (Don't worry, you shouldn't need to run through the ENTIRE installation process again. I share your unspoken pain on how long that process can take.)
    If that fails, we can continue troubleshooting, though I'd highly recommend calling Technical Support as they are much better at detecting installation issues than I am able to offer here. Both applications should work exceptionally well on your system.
    Durin

  • MacOS10.5.8 error message Firefox not supported on this architecture????

    Quit Firefox with 4 open web pages and then tried to open it about 20 minutes later. Error message "You cannot open the application Firefox.app because it is not supported on this architecture.

    Firefox 4 and later versions aren't compatible with PPC, they are Intel only.<br />
    http://www.mozilla.com/en-US/firefox/4.0/system-requirements/
    For older Macs that aren't supported in Firefox 4.0 & 5.0, try TenFourFox for PowerPC's running Mac 10.4.11 & 10.5.8 . <br />
    http://www.floodgap.com/software/tenfourfox/ <br />
    http://code.google.com/p/tenfourfox/
    Or stick with Firefox 3.6. <br />
    http://www.mozilla.com/en-US/firefox/all-older.html

  • Flash 'not supported on this architecture' error message

    Hi there,
    I'm having a problem with Flash and InDesign (both CS4), installed as a bundle in one go from Adobe Master Collection discs, When trying to launch InDesign or Flash, I get a message that they are 'not supported on this architecture'.
    I'm on a MacPro with 2x3GHz Quad Core and 4GB running 10.5.7.
    All the other CS4 Master Collection apps have installed and run fine.
    My volume is formated as Mac OS Extended (Journaled). Any ideas?
    thanks
    Russell

    I have submitted a query to the support people so hopefully I will get some more information.
    This is very frustrating.  I put a post in the indesign forum, but the indesign snobs told me to come to the flash forum, where the flash experts reside and would help me...ha!
    Rob

Maybe you are looking for

  • SSRS - % percentage ROW TOTALS don't calculate correctly in a Table Matrix

    SSRS - Report Builder 3.0 I have created a report with a MATRIX table with a TOTAL ROW and a TOTAL COLUMN and the total column is calculating correctly but the ROW totals is not calculating correctly The screen shot below is of the Matrix table in th

  • Need help with adobe acrobat 9 standard

    Hi, I have window XP laptop, I reboot my computer and I install adobe acrobat 9 standard into my laptop and it was a success, how ever when I cannot accept the End user agreement.  None of the button Decline, Cancel, or Accept seems to be responding

  • Problem with I Blutooth connect

    Can any one tell me how to I connect to I Bluetooth is it on but still not working

  • Front row gone entirely?

    I just tried to start up Front Row with my remote. Nothing. My remote still controls iTunes, so it is communicating properly. I tried to find it with Spotlight for a manual start, but nothing turns up. System/Library/Core Services/ reveals only a scr

  • In-app purchase fail

    As my name suggests I a boom beach fan so I bought a 25$ card and bought the 22.99$ option and was left with 98¢ but I never received the gems or got a bill of purchase and yet it took my money so I went on live chat and told the chat person and he s